--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the data type associated with the given column number.
- !ruby/struct:SM::Flow::P 
  body: The integer returned is the internal <tt>OID</tt> number (in PostgreSQL) of the type. If you have the PostgreSQL source available, you can see the OIDs for every column type in the file <tt>src/include/catalog/pg_type.h</tt>.
full_name: PGresult#type
is_singleton: false
name: type
params: |
  res.type( index )

visibility: public
